Search found 8 matches

Go to advanced search

by E Guerra
Thu Mar 17, 2016 1:49 pm
Forum: Python scripting and macros
Topic: how reactivating a Workbench
Replies: 0
Views: 456

how reactivating a Workbench

hello
have a workbench with a popup menu
it starts fine and can generate some file with the popup menu
but after the operation is done, how can i get the popup menu to reappear?
now i just exit and restart
by E Guerra
Thu Mar 17, 2016 1:37 pm
Forum: Python scripting and macros
Topic: Cannot compute Inventor representation for the shape of Shape
Replies: 1
Views: 769

Cannot compute Inventor representation for the shape of Shape

hello got this error, with no other reference to what caused this problem no errors reported in the python window and report window only has: Active view is Unnamed : 1[*] (at 0x11877fb80) Active document is Unnamed (at 0x105c55e00) Cannot compute Inventor representation for the shape of Shape. Cann...
by E Guerra
Thu Feb 25, 2016 2:26 am
Forum: Python scripting and macros
Topic: using for loop with Sketch/Revolution
Replies: 2
Views: 532

Re: using for loop with Sketch/Revolution

hi thanks for your reply changed the code, using Part.makePolygon: row = Front,8.6,7.11,7.11,31.75 # read from a cvs file tip = depth to tip of drill pol = polyline of 5 vectors, making the sketch closed tip = float(row[4]) + (tan(pi*(31.0/180.0)) * (float(row[1])/2.0)) dri, rad, dep = float(row[1])...
by E Guerra
Wed Feb 24, 2016 2:24 pm
Forum: Python scripting and macros
Topic: using for loop with Sketch/Revolution
Replies: 2
Views: 532

using for loop with Sketch/Revolution

hello trying to generate multiple sketches, that will be revolved into solids, basically the sketch will be revolved represent a drill bit, the code places multiple drillings that will be positioned on the different faces on a block right now calling App.activeDocument().addObject('Sketcher::SketchO...
by E Guerra
Sat Feb 20, 2016 2:41 pm
Forum: Python scripting and macros
Topic: ..."Sketch").Placement; ..Revolution.Placement
Replies: 1
Views: 467

..."Sketch").Placement; ..Revolution.Placement

hello trying to code the generation and placement of a revolved object from a sketch tried coding a few different ways 1. generated the sketch[ok], used placement to move[ok], then used revolution, did not work, when sketch moved back to original position, revolved part appeared 2. generated the ske...
by E Guerra
Wed Feb 10, 2016 2:33 pm
Forum: Python scripting and macros
Topic: vector equal vector
Replies: 10
Views: 1059

Re: vector equal vector

hi here's most of the code in question PORTS = { .... 'M10x1.0': ([0.0, 12.00], [05.00, 12.00], [05.00, 02.31], [05.21, 02.10], [05.55, 00.50], [08.00, 00.50], [08.00, 0.0]), .... } .... self.details = PORTS['M10x1.0'] vector0, vector1 = App.Vector(0.0, 0.0, 0.0), App.Vector(0.0, 0.0, 0.0) for key, ...
by E Guerra
Wed Feb 10, 2016 12:55 pm
Forum: Python scripting and macros
Topic: vector equal vector
Replies: 10
Views: 1059

Re: vector equal vector

thanks for response
vector2 = vector1 # <--- assignment
does not seem to work
using 0.15, for mac
by E Guerra
Tue Feb 09, 2016 2:24 pm
Forum: Python scripting and macros
Topic: vector equal vector
Replies: 10
Views: 1059

vector equal vector

hello
is there no vector0 = vector1 function?
using vector0.x, vector0.y, vector0.z, = vector1.x, vector1.y, vector1.z

Go to advanced search